﻿package 
{
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class Main extends MovieClip
	{
		private var background:Sprite;
		
		private var buttonBar:Sprite;
		private var board:Sprite;
		
		private const WIDTH:Number = 800;
		private const HEIGHT:Number = 600;
		
		private var isDrawing:Boolean;
		
		public function Main():void
		{
			
			background = new Sprite();
			background.graphics.beginFill(0x0c2e02, 1);
			background.graphics.drawRect(0, 0, WIDTH, HEIGHT);
			
			this.addChild(background);
			
			board = new Sprite();
			this.addEventListener(Event.ENTER_FRAME, onDraw);
			this.addEventListener(MouseEvent.MOUSE_DOWN, onBoardPress);
			this.addEventListener(MouseEvent.MOUSE_UP, onBoardRelease);
			
			isDrawing = false;
			
			this.addChild(board);
			
		}
		
		private function onBoardPress(e:MouseEvent):void 
		{
				isDrawing = true;
				board.graphics.moveTo(board.mouseX, board.mouseY);
		}
		
		private function onBoardRelease(e:MouseEvent):void 
		{
				isDrawing = false;
		}
		
		private function onDraw(e:Event):void 
		{
			
			
			if(isDrawing){
				board.graphics.lineStyle(2, 0xFFFFFF, 1);
				board.graphics.lineTo(board.mouseX, board.mouseY);
			}
		}
		
		
	}
}